package work.xuye.common.db.entity.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;

/**
 * @author xuye
 * @since 2023/4/1
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SqlStatements {

    private List<item> dml = new ArrayList<>();

    public SqlStatements add(String statement) {
        this.dml.add(new item(statement, null));
        return this;
    }

    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public static class item {
        private String statement;
        private Integer rowsAffected;
    }

}
