package work.xuye.common.enums;

/**
 * @author xuye
 * @since 2023/3/8 22:01
 **/


import com.baomidou.mybatisplus.annotation.EnumValue;

/**
 * @author xuye
 * @since 2023/3/4 16:58
 **/

public enum ProcessMode {

    /**
     * debug模式，不会使用缓存判断是否已经处理过了
     */
    DEBUG("debug"),


    /**
     * 常规模式，调试完毕线上使用
     */
    NORMAL("normal"),


    /**
     * 监听模式，只爬取并且监听每次爬取的结果，不会进行任何处理
     */
    WATCH("watch");

    @EnumValue
    private final String mode;

    ProcessMode(String mode) {
        this.mode = mode;
    }

    public String getMode() {
        return mode;
    }
}

