package work.xuye.common.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.stereotype.Component;

/**
 * @author xuye
 * @since 2023/3/6 17:35
 **/
@Data
@Component
@RefreshScope
@ConfigurationProperties(prefix = CommonProperties.PROPERTIES_PREFIX)
public class CommonProperties {

    public static final String PROPERTIES_PREFIX = "common";

    private boolean production = true;

}
