package work.xuye.common.spel;

import com.jayway.jsonpath.JsonPath;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * @author xuye
 * @since 2023/3/2 12:48
 **/
@Slf4j
@Component
public class JsonPathHandler {

    public String extract(String json, String path) {
        Object read = JsonPath.read(json, path);
        return read.toString().trim();
    }

}
