package work.xuye.scheduler.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.messaging.Message;

import java.util.function.Supplier;

/**
 * @author xuye
 * @since 2023/3/16 10:34
 **/
@Configuration
public class DisableProducerInMemorySwaggerResourcesProvider {

    @Bean
    public Supplier<Message<String>> defaultSupplierProducer() {
        return () -> null;
    }

}