package work.xuye.sink.yueke;

import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

/**
 * @author xuye
 * @since 2022/5/17 18:26
 **/
@Slf4j
@RestControllerAdvice
public class YueKeExceptionControllerAdvice {

    @ExceptionHandler(YueKeException.class)
    public YueKeResponse handleThrowable(YueKeException e) {
        return YueKeResponse.of(e.getYueKeResEnum());
    }

}
