package work.xuye.sink.yueke;

import com.google.gson.Gson;
import lombok.RequiredArgsConstructor;
import org.jetbrains.annotations.NotNull;
import org.springframework.core.convert.converter.Converter;
import org.springframework.stereotype.Component;

/**
 * @author xuye
 * @since 2023/7/10 18:06
 **/
@Component
@RequiredArgsConstructor
public class YueKeRequestJsonConverter implements Converter<String, YueKeRequestModel> {

    private final Gson gson;

    @Override
    public YueKeRequestModel convert(@NotNull String jsonSource) {
        return gson.fromJson(jsonSource, YueKeRequestModel.class);
    }
}
