package work.xuye.sink.yueke;

import lombok.Data;

import java.util.UUID;

/**
 * @author xuye
 * @since 2023/7/10 09:59
 **/
@Data
public class YueKeResponse {

    private String requestId;
    private Long requestStartTime;
    private Long requestEndTime;
    private String code;
    private String msg;

    public YueKeResponse() {
        this.requestId = UUID.randomUUID().toString().replaceAll("-", "");
        this.requestStartTime = System.currentTimeMillis();
    }

    public static YueKeResponse of(YueKeResEnum yueKeResEnum) {
        YueKeResponse response = new YueKeResponse();
        response.setCode(yueKeResEnum.getCode());
        response.setMsg(yueKeResEnum.getMsg());
        response.setRequestEndTime(System.currentTimeMillis());
        return response;
    }

}