package work.xuye.common.advice;

import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;
import work.xuye.common.dto.R;

/**
 * @author xuye
 * @since 2022/5/17 18:26
 **/
@Slf4j
@RestControllerAdvice
public class ExceptionControllerAdvice {

    @ExceptionHandler(Throwable.class)
    public R<?> handleThrowable(Throwable e) {
        e.printStackTrace();
        return R.fail(e, e.getMessage());
    }

}
