package work.xuye.common.controller;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * @author xuye
 * @since 2022/10/25 15:27
 **/
@RestController
@RequestMapping("/")
public class IndexController {

    private static final String INDEX = "doc.html";

    @GetMapping
    public void index(HttpServletResponse response) throws IOException {
        response.sendRedirect(INDEX);
    }
}
