package work.xuye.common.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import work.xuye.common.db.entity.Mapping;
import work.xuye.common.db.entity.Task;

import java.util.Map;

/**
 * @author xuye
 * @since 2023/3/4 18:45
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TaskVO {

    private Task task;

    private Map<String, Mapping> templateMappingMap;

}
