package work.xuye.sink.yueke;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author xuye
 * @since 2023/7/10 10:19
 **/
@Data
@EqualsAndHashCode(callSuper = true)
public class YueKeException extends RuntimeException {

    private String requestId;

    private YueKeResEnum yueKeResEnum;


    public YueKeException(String requestId, YueKeResEnum yueKeResEnum) {
        this.requestId = requestId;
        this.yueKeResEnum = yueKeResEnum;
    }
}
