package work.xuye.source.spel;

import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import work.xuye.common.dto.HttpRes;

import java.util.List;

/**
 * @author xuye
 * @since 2023/3/8 12:36
 **/
@Slf4j
@Component
@RequiredArgsConstructor
public class CustomRequest {

    private final YueKeRequest yueKeRequest;

    public List<HttpRes> yueKe(String channelUrlPrefix, String listPageUrlPrefix, String env, String appId, String appSecret, boolean dup) {
        return yueKeRequest.run(channelUrlPrefix, listPageUrlPrefix, env, appId, appSecret, dup);
    }

}
