package work.xuye.transformer.transformer;

import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.util.HtmlUtils;

/**
 * @author xuye
 * @since 2023/4/7 21:52
 **/
@Slf4j
@Component("htmlUnescape")
public class HtmlUnescapeTransformer implements MessageTransformer {

    @Override
    public String transform(String in, String seedUrl) {
        String out = HtmlUtils.htmlUnescape(in);
        log.debug("htmlUnescapeTransformer in: {}, out: {}", in, out);
        return out;
    }
}
