package work.xuye.transformer.transformer;

import org.springframework.stereotype.Component;
import org.springframework.util.ObjectUtils;

/**
 * @author xuye
 * @since 2023/2/18 13:01
 **/
@Component("notEmpty")
public class NotEmptyTransformer implements MessageTransformer {

    @Override
    public String transform(String json, String seedUrl) {
        if (ObjectUtils.isEmpty(json)) {
            throw new RuntimeException("来自 " + seedUrl + " 的数据为空，请确认运行环境正常");
        }
        return json;
    }

}
